;**********************************************************************
;* 2400E.ASP (C) 1988 DATASTORM TECHNOLOGIES, INC.                    *
;*                                                                    *
;* An ASPECT script file for initializing the U.S. ROBOTICS COURIER   *
;* 2400e or 2400e/PS for use with PROCOMM PLUS.                       *
;*                                                                    *
;**********************************************************************

CLEAR
CUROFF
BOX 0 0 9 58 14
ATSAY 2 2 14 "PROCOMM PLUS is designed to work efficiently with the"
ATSAY 3 2 14 "U.S. ROBOTICS COURIER 2400e (and 2400e/PS) in all its"
ATSAY 4 2 14 "operational modes, but the initial setup differs from"
ATSAY 5 2 14 "the setup for ordinary non-error-correcting modems."
ATSAY 7 2 14 "                 <press ENTER to continue>"
WAIT1:
IF NOT HITKEY
   GOTO WAIT1
ENDIF
CLEAR
BOX 0 0 17 59 14
ATSAY 2 2 14 "The basic principle is that the computer-to-modem baud-"
ATSAY 3 2 14 "rate is fixed at 19200 (thus your status line will"
ATSAY 4 2 14 "*always* read 19200) and the modem itself adjusts to"
ATSAY 5 2 14 "the actual speed of the connection."
ATSAY 7 2 14 "This ASPECT file sends to the modem all the commands"
ATSAY 8 2 14 "necessary for efficient automatic use of its error-"
ATSAY 9 2 14 "correcting features. You only need to run it one time,"
ATSAY 10 2 14 "since it tells the modem to write these settings to"
ATSAY 11 2 14 "non-volatile RAM. It is also very important to follow"
ATSAY 12 2 14 "*exactly* the instructions that appear on the screen"
ATSAY 13 2 14 "as you run this file."
ATSAY 15 2 14 "                 <press ENTER to continue>"
WAIT2:
IF NOT HITKEY
   GOTO WAIT2
ENDIF
CLEAR
BOX 0 0 10 69 14
ATSAY 2 2 14 "The 2400e requires some hardware setup before it can be used"
ATSAY 3 2 14 "effectively with PROCOMM PLUS. The modem's bank of ten dipswitches"
ATSAY 4 2 14 "should be set as follows:"
ATSAY 6 2 14 "1)UP  2)UP  3)DOWN  4)UP  5)DOWN  6)UP  7)UP  8)DOWN  9)UP  10)UP"
ATSAY 8 2 14 "                 <press ENTER to continue>"
WAIT3:
IF NOT HITKEY
   GOTO WAIT3
ENDIF
CLEAR
SOUND 440 50
BOX 0 0 4 56 14
ATSAY 2 2 14 "COURIER 2400e modem initialization... WORKING..."
SET BAUDRATE 19200                        ;Set up comm line
SET PARITY NONE
SET DATABITS 8
SET STOPBITS 1
SET DISPLAY OFF
SET TXPACE 50
TRANSMIT "AT^M"                           ;Get modem's attention
PAUSE 2
TRANSMIT "ATZ^M"                          ;Resets non-volatile mem
PAUSE 1
TRANSMIT "AT&F^M"                         ;Get factory defaults
TRANSMIT "AT X7^M"                        ;Result codes on
TRANSMIT "AT &B7^M"                       ;DTE/DCE at 19200 bps
TRANSMIT "AT &H1^M"                       ;Hardware flow control
TRANSMIT "AT &R2^M"                       ;Hardware flow control
TRANSMIT "AT &S1^M"                       ;Modem controls DSR
TRANSMIT "AT S7=60^M"                     ;CD timeout
TRANSMIT "AT S11=55^M"                    ;Speed up dialing
TRANSMIT "AT&W^M"                         ;Write settings to NRAM
SET TXPACE 0
CLEAR
SET DISPLAY ON
SOUND 440 50
BOX 0 0 16 58 14
ATSAY 2 2 14 "COURIER 2400e modem initialization - COMPLETED!"
ATSAY 4 2 14 "Your 2400e modem will now power up with the proper"
ATSAY 5 2 14 "defaults for PROCOMM PLUS.  You should now use the"
ATSAY 6 2 14 "Setup Facility (Alt-S) MODEM OPTIONS to make your"
ATSAY 7 2 14 "INITIALIZATION COMMAND `"ATZ^M`" (without the quotes)."
ATSAY 8 2 14 "In addition AUTOBAUD DETECT should be set to OFF and"
ATSAY 9 2 14 "in TERMINAL OPTIONS Hardware Flow Control (RTS/CTS)"
ATSAY 10 2 14 "should be turned ON. All dialing directory entries"
ATSAY 11 2 14 "should be should be set to 19200 baud, as well as your"
ATSAY 12 2 14 "Alt-P line setting. Make sure to save your changes."
ATSAY 13 2 14 "One last thing: your CONNECT MESSAGES in MODEM OPTIONS"
ATSAY 14 2 14 "should all read simply `"CONNECT`" (without quotes)."
CURON
LOCATE 17 0

