;*************************************************************************
;* MULTITEC.ASP (C) 1988 DATASTORM TECHNOLOGIES, INC.                    *
;*                                                                       *
;* An ASPECT script file for initializing the MULTITECH 224E modem       *
;* for proper use with PROCOMM PLUS.                                     *
;*                                                                       *
;*************************************************************************

CLEAR
CUROFF
BOX 0 0 9 58 14
ATSAY 2 2 14 "PROCOMM PLUS is designed to work efficiently with the"
ATSAY 3 2 14 "MULTITECH 224E modem in all its operational modes, but"
ATSAY 4 2 14 "the initial setup differs from the setup for ordinary"
ATSAY 5 2 14 "non-error-correcting modems."
ATSAY 7 2 14 "                 <press ENTER to continue>"
WAIT1:
IF NOT HITKEY
   GOTO WAIT1
ENDIF
CLEAR
BOX 0 0 17 59 14
ATSAY 2 2 14 "The basic principle is that the computer-to-modem baud-"
ATSAY 3 2 14 "rate is fixed at 9600 (thus your status line will"
ATSAY 4 2 14 "*always* read 9600) and the modem itself adjusts to"
ATSAY 5 2 14 "the actual speed of the connection."
ATSAY 7 2 14 "This ASPECT file sends to the modem all the commands"
ATSAY 8 2 14 "necessary for efficient automatic use of its error-"
ATSAY 9 2 14 "correcting features. You only need to run it one time,"
ATSAY 10 2 14 "since it tells the modem to write these settings to"
ATSAY 11 2 14 "non-volatile RAM. It is also very important to follow"
ATSAY 12 2 14 "*exactly* the instructions that appear on the screen"
ATSAY 13 2 14 "as you run this file."
ATSAY 15 2 14 "                 <press ENTER to continue>"
WAIT2:
IF NOT HITKEY
   GOTO WAIT2
ENDIF
CLEAR
BOX 0 0 15 61 14
ATSAY 2 2 14 "The MULTITECH 224E requires some hardware setup before"
ATSAY 3 2 14 "it can be used effectively with PROCOMM PLUS. On the"
ATSAY 4 2 14 "modem's bank of eight dipswitches, leave all in their"
ATSAY 5 2 14 "default positions except Switch 1, which should be UP"
ATSAY 6 2 14 "instead of DOWN. On the internal bank of four dipswitches,"
ATSAY 7 2 14 "Switch 1 should be DOWN and Switch 3 should be up. The"
ATSAY 8 2 14 "other two switches stay at default settings. In addition,"
ATSAY 9 2 14 "the RTS jumper (inside the modem) should be changed to"
ATSAY 10 2 14 "*not* force RTS (please see your MULTITECH manual for"
ATSAY 11 2 14 "details of this step)."
ATSAY 13 2 14 "                 <press ENTER to continue>"
WAIT3:
IF NOT HITKEY
   GOTO WAIT3
ENDIF
CLEAR
SOUND 440 50
BOX 0 0 4 56 14
ATSAY 2 2 14 "MULTITECH 224E modem initialization... WORKING..."
SET BAUDRATE 9600                        ;Set up comm line
SET PARITY NONE
SET DATABITS 8
SET STOPBITS 1
SET DISPLAY OFF
SET TXPACE 50
TRANSMIT "AT^M"                           ;Get modem's attention
PAUSE 2
TRANSMIT "ATZ^M"                          ;Resets non-volatile mem
PAUSE 1
TRANSMIT "AT&F^M"                         ;Get factory defaults
TRANSMIT "AT X1^M"                        ;Result codes on
TRANSMIT "AT &E1 &E4 &E7 &E13 &E15^M"     ;MNP settings
TRANSMIT "AT &W0^M"                       ;Write settings to NRAM
TRANSMIT "AT X4^M"                        ;Extended result codes
TRANSMIT "AT $SB9600^M"                   ;DCE/DTE baud rate
TRANSMIT "AT $BA0^M"                      ;Baud adjust off
TRANSMIT "AT $A1^M"                       ;Buffer data during auto-reliable
                                          ;  time period
TRANSMIT "AT &I1^M"                       ;10-minute inactivity timeout
TRANSMIT "AT $R1^M"                       ;Do not disconnect after 12 retransmits
TRANSMIT "AT S11=55^M"                    ;Speed up dialing
TRANSMIT "AT&W0^M"                        ;Write settings to NRAM
SET TXPACE 0
CLEAR
SET DISPLAY ON
SOUND 440 50
BOX 0 0 16 58 14
ATSAY 2 2 14 "MULTITECH 224E modem initialization - COMPLETED!"
ATSAY 4 2 14 "Your MULTITECH modem will now power up with the proper"
ATSAY 5 2 14 "defaults for PROCOMM PLUS.  You should now use the"
ATSAY 6 2 14 "Setup Facility (Alt-S) MODEM OPTIONS to make your"
ATSAY 7 2 14 "INITIALIZATION COMMAND `"ATZ^M`" (without the quotes)."
ATSAY 8 2 14 "In addition AUTOBAUD DETECT should be set to OFF and"
ATSAY 9 2 14 "in TERMINAL OPTIONS Hardware Flow Control (RTS/CTS)"
ATSAY 10 2 14 "should be turned ON. All dialing directory entries"
ATSAY 11 2 14 "should be should be set to 9600 baud, as well as your"
ATSAY 12 2 14 "Alt-P line setting. Make sure to save your changes."
ATSAY 13 2 14 "One last thing: your CONNECT MESSAGES in MODEM OPTIONS"
ATSAY 14 2 14 "should all read simply `"CONNECT`" (without quotes)."
CURON
LOCATE 17 0

