;*************************************************************************
;* V.ASP (C) 1988 DATASTORM TECHNOLOGIES, INC.                           *
;*                                                                       *
;* An ASPECT script file for initializing the HAYES V-Series SMARTMODEM  *
;* 9600 for proper use with PROCOMM PLUS.                                *
;*                                                                       *
;*************************************************************************
CLEAR
CUROFF
BOX 0 0 9 58 14
ATSAY 2 2 14 "PROCOMM PLUS is designed to work efficiently with the"
ATSAY 3 2 14 "HAYES V-Series 9600 in all its operational modes, but"
ATSAY 4 2 14 "the initial setup differs from the setup for ordinary"
ATSAY 5 2 14 "non-error-correcting modems."
ATSAY 7 2 14 "                 <press ENTER to continue>"
WAIT1:
IF NOT HITKEY
   GOTO WAIT1
ENDIF
CLEAR
BOX 0 0 17 59 14
ATSAY 2 2 14 "The basic principle is that the computer-to-modem baud-"
ATSAY 3 2 14 "rate is fixed at 19200 (thus your status line will"
ATSAY 4 2 14 "*always* read 19200) and the modem itself adjusts to"
ATSAY 5 2 14 "the actual speed of the connection."
ATSAY 7 2 14 "This ASPECT file sends to the modem all the commands"
ATSAY 8 2 14 "necessary for efficient automatic use of its error-"
ATSAY 9 2 14 "correcting features. You only need to run it one time,"
ATSAY 10 2 14 "since it tells the modem to write these settings to"
ATSAY 11 2 14 "non-volatile RAM. It is also very important to follow"
ATSAY 12 2 14 "*exactly* the instructions that appear on the screen"
ATSAY 13 2 14 "as you run this file."
ATSAY 15 2 14 "                 <press ENTER to continue>"
WAIT2:
IF NOT HITKEY
   GOTO WAIT2
ENDIF
CLEAR
SOUND 440 50
BOX 0 0 4 50 14
ATSAY 2 2 14 "V-Series 9600 modem initialization... WORKING..."
SET BAUDRATE 19200                         ;Set up comm line
SET PARITY NONE
SET DATABITS 8
SET STOPBITS 1
SET DISPLAY OFF
SET TXPACE 50
TRANSMIT "AT^M"                           ;Get modem's attention
PAUSE 2
TRANSMIT "ATZ^M"                          ;Resets non-volatile mem
PAUSE 2
TRANSMIT "AT&F^M"                         ;Get factory defaults
PAUSE 2
TRANSMIT "AT&C1^M"                        ;Set CD to follow true state of line
PAUSE 2
TRANSMIT "AT&D2^M"                        ;dropping DTR will drop line
PAUSE 2
TRANSMIT "AT S7=60^M"                     ;Set wait for CD to 60 seconds
PAUSE 2
TRANSMIT "AT S11=55^M"                    ;Speed up the dialing
PAUSE 2
TRANSMIT "AT &W0^M"                       ;Write settings to NRAM Profile 0
PAUSE 2
TRANSMIT "AT&Y0^M"                        ;Make sure Profile 0 is default
SET TXPACE 0
CLEAR
SET DISPLAY ON
SOUND 440 50
BOX 0 0 20 58 14
ATSAY 2 2 14 "HAYES V-Series 9600 modem initialization COMPLETED!"
ATSAY 4 2 14 "Your HAYES modem will now power up with the proper"
ATSAY 5 2 14 "defaults for PROCOMM PLUS.  You should now use the"
ATSAY 6 2 14 "Setup Facility (Alt-S) MODEM OPTIONS to make your"
ATSAY 7 2 14 "INITIALIZATION COMMAND `"ATZ^M`" (without the quotes)."
ATSAY 8 2 14 "In addition AUTOBAUD DETECT should be set to OFF and"
ATSAY 9 2 14 "in TERMINAL OPTIONS Hardware Flow Control (RTS/CTS)"
ATSAY 10 2 14 "should be turned ON. All dialing directory entries"
ATSAY 11 2 14 "should be should be set to 19,200 baud, as well as your"
ATSAY 12 2 14 "Alt-P line setting. Make sure to save your changes."
ATSAY 13 2 14 "Two last things: your CONNECT MESSAGES in MODEM OPTIONS"
ATSAY 14 2 14 "should all read simply `"CONNECT`" (without quotes)"
ATSAY 15 2 14 "and you *may* want to change the S38 register by typing"
ATSAY 16 2 14 "`"AT S38=0 &W0`" (without quotes) in terminal mode."
ATSAY 17 2 14 "For a full explanation of this setting please see"
ATSAY 18 2 14 "APPENDIX B of your modem manual."
CURON
LOCATE 22 0

